import request from '@/helpers/request'
import { state } from '@/state'
import { Grid, GridItem, Icon } from 'vant'
import { defineComponent, onMounted, reactive } from 'vue'
import styles from './index.module.less'
import iconLook from './image/look.svg'
import { useRoute } from 'vue-router'
export default defineComponent({
  name: 'lessonCourseware',
  setup() {
    const route = useRoute()
    const data = reactive({
      list: [] as any
    })
    const getList = async () => {
      try {
        const res: any = await request.post(state.platformApi + '/lessonCoursewareDetail/page', {
          data: {
            lessonCoursewareId: route.query.id ? '1607562917531938817' : '1607562917531938817',
            page: 1,
            rows: 1000
          }
        })
        if (Array.isArray(res?.data?.rows)) {
          data.list = res.data.rows
        }
      } catch (error) {}
    }
    onMounted(() => {
      getList()
    })

    const handleClick = (item: any) => {
      if (route.query.code === 'select') {
        console.log('选择课时')
      }
    }
    return () => (
      <div style={{ paddingTop: '14px' }}>
        <Grid gutter={14} columnNum={3} class={styles.grid}>
          {data.list.map((item: any) => {
            return (
              <GridItem>
                <div
                  class={styles.gridItem}
                  style={{
                    background: item.coverImg
                      ? ''
                      : `hsla(${Math.floor(Math.random() * 360)},50%,50%,.8)`
                  }}
                  onClick={() => handleClick(item)}
                >
                  {/* <img src={item.coverImg} class={styles.cover} /> */}
                  <div class={styles.title}>
                    <div>{item.name}</div>
                    <div>已使用 1 次</div>
                  </div>
                  <div class={styles.num}>
                    查看
                    <Icon name="play-circle-o" />
                  </div>
                  {item.delFlag && (
                    <div class={styles.look}>
                      <Icon name={iconLook} /> 未解锁
                    </div>
                  )}
                </div>
              </GridItem>
            )
          })}
        </Grid>
      </div>
    )
  }
})
